/*
 * File   : lpsi.h
 * Purpose: This file contains the definations for record management.
 *          Only included into INFORMIX compatible version!
 * Autor  : Andreas Theofilu
 *
 * Copyright (C) 1998, 1999, 2000 by Theos Soft.
 */

/* 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#define lpsTITEL	0
#define lpsSINGER	1
#define lpsNUMBER	2
#define lpsSONG		3
#define lpsMARK		4

/*
 * Strukturen zum austauschen von Daten in Dialogboxen.
 */

typedef struct
{
	long lpNum;
	char lpTitel[61];
	int  lpKenn;
	char lpDate[11];
	int  lpCategory;
	char lpDiscid[9];
	char lpRight[61];
	char lpPrice[15];
} lplabel_t;

typedef struct
{
	int repeat;
	long snum;
	int spos;
	char stitel[41];
	char ssinger[41];
	char szeit[6];
} lpdchild_t;

EXEC SQL BEGIN DECLARE SECTION;
typedef struct
{
	long lpnum;
	char lptitel[61];
	char lpkenn[3];
	long lpdate;
	char lpCategory[21];
	long lpDiscid;
	char lpright[61];
	double lpprice;
	char lpmark[2];
} lpmaster_t;

typedef struct
{
	long snum;
	int spos;
	char stitel[41];
	char ssinger[41];
	char szeit[6];
} lpchild_t;

typedef struct
{
	int num;
	char *Category;
} music_t;

extern lpmaster_t lpmaster;
extern lpchild_t lpchild;
EXEC SQL END DECLARE SECTION;

extern music_t music[];

extern XtResource lplabel_resource[];
extern XtResource lpchild_resource[];
extern XtResource lpdchild_resource[];

/*
 * Globale Variablen fr diese Datei.
 */
extern Widget rclWidget;
extern Widget UpdrclWidget;
extern Widget qLpWidget;
extern Widget lpKennWidget;
extern Widget lpCategoryWidget;
extern Widget rccWidget;
extern Widget UpdrccWidget;

extern char stmaster[];
extern char stchild[];
extern char Singer[];
extern int posCount;
extern int listMasterPos;
extern Boolean fromLps; 
extern Boolean bDialogReady;
extern Boolean bStart;
extern int lpsSearch;
extern lpdchild_t lpdchild;

